-- Location Bot
--
-- Douglas Thrift
--
-- $Id: ba257972381ccac4d447ac5c78810276ba41257c $

create schema locationbot;

create table locationbot.nick (
	id serial primary key,
	nick text not null unique,
	secret char(32) not null,
	masks text[],
	channels text[],
	location text,
	updated timestamp with time zone,
	latitude bigint
);

create index nick_location_index on locationbot.nick (location);
create index nick_updated_index on locationbot.nick (updated);
create index nick_latitude_index on locationbot.nick (latitude);
